### Enumeration

# FwupdPlugin PciDeviceBaseCls

#### Declaration

    enum FwupdPlugin.PciDeviceBaseCls

#### Description

No description available.

#### Members

`FU_PCI_DEVICE_BASE_CLS_OLD`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_MASS_STORAGE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_NETWORK`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_DISPLAY`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_MULTIMEDIA`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_MEMORY`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_BRIDGE`

  No description available.

  - Value: `6`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SIMPLE_COMMUNICATION`

  No description available.

  - Value: `7`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_BASE`

  No description available.

  - Value: `8`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_INPUT`

  No description available.

  - Value: `9`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_DOCKING`

  No description available.

  - Value: `10`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_PROCESSORS`

  No description available.

  - Value: `11`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SERIAL_BUS`

  No description available.

  - Value: `12`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_WIRELESS`

  No description available.

  - Value: `13`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_INTELLIGENT_IO`

  No description available.

  - Value: `14`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SATELLITE`

  No description available.

  - Value: `15`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_ENCRYPTION`

  No description available.

  - Value: `16`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_SIGNAL_PROCESSING`

  No description available.

  - Value: `17`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_ACCELERATOR`

  No description available.

  - Value: `18`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_NON_ESSENTIAL`

  No description available.

  - Value: `19`
  - Available since: 1.0
`FU_PCI_DEVICE_BASE_CLS_UNDEFINED`

  No description available.

  - Value: `255`
  - Available since: 1.0